org.eclipse.wst.jsdt.ui.actions

## Class RefactorActionGroup

- java.lang.Object
- - ActionGroup
  - - org.eclipse.wst.jsdt.ui.actions.RefactorActionGroup

    public class RefactorActionGroup
    extends ActionGroup

Action group that adds refactor actions (for example 'Rename', 'Move') to a context menu and the global menu bar.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static java.lang.String` `GROUP_CODING` Pop-up menu: id of the coding group of the refactor sub menu (value `codingGroup`).
`static java.lang.String` `GROUP_CODING2` Pop-up menu: id of the coding group 2 of the refactor sub menu (value `codingGroup2`).
`static java.lang.String` `GROUP_REORG` Pop-up menu: id of the reorg group of the refactor sub menu (value `reorgGroup`).
`static java.lang.String` `GROUP_TYPE` Pop-up menu: id of the type group of the refactor sub menu (value `typeGroup`).
`static java.lang.String` `MENU_ID` Pop-up menu: id of the refactor sub menu (value `org.eclipse.wst.jsdt.ui.refactoring.menu`).

### Constructor Summary

Constructors
Constructor and Description
`RefactorActionGroup(IViewPart part)` Creates a new `RefactorActionGroup`.
`RefactorActionGroup(org.eclipse.wst.jsdt.internal.ui.javaeditor.JavaEditor editor, java.lang.String groupName, boolean binary)` Note: This constructor is for internal use only.
`RefactorActionGroup(Page page)` Creates a new `RefactorActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fillActionBars(IActionBars actionBars)`
`void` `fillContextMenu(IMenuManager menu)`
`void` `retargetFileMenuActions(IActionBars actionBars)` Retargets the File actions with the corresponding refactoring actions.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MENU_ID

    public static final java.lang.String MENU_ID

Pop-up menu: id of the refactor sub menu (value `org.eclipse.wst.jsdt.ui.refactoring.menu`).

See Also:
  Constant Field Values

#### GROUP_REORG

    public static final java.lang.String GROUP_REORG

Pop-up menu: id of the reorg group of the refactor sub menu (value `reorgGroup`).

See Also:
  Constant Field Values

#### GROUP_TYPE

    public static final java.lang.String GROUP_TYPE

Pop-up menu: id of the type group of the refactor sub menu (value `typeGroup`).

See Also:
  Constant Field Values

#### GROUP_CODING

    public static final java.lang.String GROUP_CODING

Pop-up menu: id of the coding group of the refactor sub menu (value `codingGroup`).

See Also:
  Constant Field Values

#### GROUP_CODING2

    public static final java.lang.String GROUP_CODING2

Pop-up menu: id of the coding group 2 of the refactor sub menu (value `codingGroup2`).

See Also:
  Constant Field Values

### Constructor Detail

#### RefactorActionGroup

    public RefactorActionGroup(IViewPart part)

Creates a new `RefactorActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

#### RefactorActionGroup

    public RefactorActionGroup(Page page)

Creates a new `RefactorActionGroup`. The action requires that the selection provided by the page's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `page` - the page that owns this action group

#### RefactorActionGroup

    public RefactorActionGroup(org.eclipse.wst.jsdt.internal.ui.javaeditor.JavaEditor editor,
                               java.lang.String groupName,
                               boolean binary)

Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `editor` - the JavaScript editor
  `groupName` - the group name to add the actions to
  `binary` - `true` if the action group is used in a binary environment, `false` otherwise

### Method Detail

#### fillActionBars

    public void fillActionBars(IActionBars actionBars)

#### retargetFileMenuActions

    public void retargetFileMenuActions(IActionBars actionBars)

Retargets the File actions with the corresponding refactoring actions.

Parameters:
  `actionBars` - the action bar to register the move and rename action with

#### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

#### dispose

    public void dispose()